get all connections

The get all connections API sends a GET request to retrieve a list of connections.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisites

  • The caller does not have to provide anything.

Authorization

  • API key (via the X-API-KEY header).

Parameters

Query Parameters
Field nameDescriptionFormat
usageInclude usage count for each connectionBoolean
offsetNumber of items to skip for paginationInteger
limitMaximum number of items to returnInteger
connector_nameFilter connections by connector typeString
sortSort order for results.String
Response Body
Field nameDescriptionFormat
elementsList of connectionsArray
totalTotal amount of connectionsInteger
Connection Structure
Field nameDescriptionFormat
idConnection IDUUID
nameThe name of the connectionString
connectorThe type of connectorString
descriptionConnection descriptionString
profilesConnection profilesMap
modifiedAtThe date and time of modificationString
modifiedByModified byString
createdAtThe date and time of creationString
createdByCreated byString
usageNumber of times the connection is usedInteger
Profile Structure
Field nameDescriptionFormat
profileNameKeyString
profileValueProfile configJsonElement

Examples

{
  "elements": [
    {
      "id": "00000000-0000-0000-0000-000000000001",
      "name": "connection-mf-cics-cobol",
      "connector": "mainFrameRpc",
      "description": "example mf-cics-cobol connection",
      "profiles": {
        "$default": {
          "baseUrl": "http://cics.example.internal",
          "uriMap": "/example/latest",
          "port": "12345",
          "codePage": "cp037"
        }
      },
      "modifiedAt": "2026-01-01T00:00:00.000000Z",
      "modifiedBy": "John Doe",
      "createdAt": "2026-01-01T00:00:00.000000Z",
      "createdBy": "John Doe",
      "usage": 0
    }
  ],
  "total": 1
}
Query Params
boolean
integer
integer
string
string
enum
Allowed:
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json